Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000741Core InformKinds and type checkingpublic2011-09-07 00:042014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000741: Only part of the erroneous line is quoted in the error message for a type mismatch in a definition
DescriptionThe attached source leads to a problem message that does not quote the definition body:

- - - -
Problem. You wrote 'Definition' ...
- - - -
Minimal Source Text To Reproduce
There is a room.
To decide whether bar (X - a number): decide yes.
Definition: a thing is foo if bar it.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001400)
graham (administrator)
2011-10-16 12:51

Fixed.

- Issue History
Date Modified Username Field Change
2011-09-07 00:04 EmacsUser New Issue
2011-10-15 03:49 jmcgrew Status new => acknowledged
2011-10-16 12:51 graham Note Added: 0001400
2011-10-16 12:51 graham Status acknowledged => resolved
2011-10-16 12:51 graham Resolution open => fixed
2011-10-16 12:51 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker